%if %mdkversion == 300
%define build_for_corp3 1
%else
%define build_for_corp3 0
%endif

%if %build_for_corp3
%define distversion C30
%endif
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%define subrel 2

%define language br-FR
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Breton
%define name mozilla-firefox-%{locale}
%define version 1.5.0.6
%define release %mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define firefox_version %{version}
%define mozillalibdir %{_libdir}/mozilla-firefox-%{firefox_version}
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{firefox_version}/linux-i686/xpi/

Summary: %{langname} interface for Firefox 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %language.xpi
License: GPL
Group: Networking/WWW
# source was build from a hand written install.rdf and br-FR.jar from:
Url: http://www.drouizig.org/Pellgargan/Meziantou/firefox-1.0.7.br-FR.win32.zip
BuildRoot: %{_buildroot}
Requires: mozilla-firefox = %{firefox_version}
Requires: locales-%{locale}

%description
%{langname} localisation for Firefox

%prep
%setup -q -c
# put this to our current version
sed -i -e 's/maxVersion>.*</maxVersion>%{version}</g' install.rdf


%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale}@firefox.mozilla.org

%changelog
* Thu Aug 17 2006 Vincent Danen <vdanen@mandriva.com> 1.5.0.6-0.2
- use some sed magic to set the maxVersion to the current version

* Fri Aug 11 2006 Vincent Danen <vdanen@mandriva.com> 1.5.0.6-0.1
- rebuild for firefox 1.5.0.6
- add mkrel support for corp3

* Tue Feb 28 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.1-1mdk
- Update for 1.5.0.1

* Tue Nov 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.7-3mdk
- fix URL

* Wed Nov 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.7-2mdk
- fix requires

* Tue Oct 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.7-1mdk
- New release 1.0.7

* Sun Jul 31 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.6-1mdk
- new release

* Tue Jun 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-1mdk
- new release
- make it work
- run db rebuild script only when it exists

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- rebuild for Firefox 1.0.2

* Tue Mar 22 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- initial release
